Name:           gifsicle
Version:        1.78
Release:        %mkrel 1
Summary:        Powerful program for manipulating GIF images and animations
Group:          Graphics/Editors and Converters
License:        GPLv2+
URL:            http://www.lcdf.org/gifsicle/
Source0:	http://www.lcdf.org/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	libx11-devel

%description
Gifsicle is a command-line tool for creating, editing, and getting
information about GIF images and animations.

Some more gifsicle features:

    * Batch mode for changing GIFs in place.
    * Prints detailed information about GIFs, including comments.
    * Control over interlacing, comments, looping, transparency...
    * Creates well-behaved GIFs: removes redundant colors, only
      uses local color tables if it absolutely has to (local color
      tables waste space and can cause viewing artifacts), etc.
    * It can shrink colormaps and change images to use the Web-safe
      palette (or any colormap you choose).
    * Optimize your animations! This stores only the changed portion
      of each frame, and can radically shrink your GIFs. You can
      also use transparency to make them even smaller.
      Gifsicle’s optimizer is pretty powerful, and usually reduces
      animations to within a couple bytes of the best commercial
      optimizers.
    * Unoptimizing animations, which makes them easier to edit.
    * A dumb name.

Two other programs are included with gifsicle: 
    * gifview is a lightweight animated-GIF viewer which can show
      animations as slideshows or in real time
    * gifdiff compares two GIFs for identical visual appearance.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%doc COPYING NEWS README.md
%{_bindir}/%{name}
%{_bindir}/gifdiff
%{_bindir}/gifview
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/gifdiff.1*
%{_mandir}/man1/gifview.1*


%changelog
* Mon Dec 23 2013 dams <dams> 1.78-1.mga4
+ Revision: 560068
- new version 1.78

* Sat Oct 19 2013 umeabot <umeabot> 1.71-2.mga4
+ Revision: 528285
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 dams <dams> 1.71-1.mga4
+ Revision: 444065
- new version 1.71

* Fri Feb 22 2013 dams <dams> 1.70-1.mga3
+ Revision: 399959
- new version 1.70

* Sat Jan 12 2013 umeabot <umeabot> 1.68-2.mga3
+ Revision: 351549
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Fri Nov 30 2012 dams <dams> 1.68-1.mga3
+ Revision: 323522
- update %%group
- new version 1.68

* Fri Jun 01 2012 dams <dams> 1.67-1.mga3
+ Revision: 252781
- imported package gifsicle

